Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ExcludeRuleContainer

    public interface ExcludeRuleContainer

A container for adding exclude rules for dependencies.

Method Summary
`void` | `add(Map args)` Adds an exclude rule to this container.
`Set` | `getRules()` Returns all the exclude rules added to this container.

Method Detail

### add

    public void add(Map args)

  Adds an exclude rule to this container. The ExcludeRule object gets created internally based on the map values passed to this method. The possible keys for the map are:
  - `group` - The exact name of the organization or group that should be excluded.
  - `module` - The exact name of the module that should be excluded
  Parameters:
    `args` - A map describing the exclude pattern.

### getRules

    public Set getRules()

  Returns all the exclude rules added to this container. If no exclude rules has been added an empty list is returned.

Gradle API 1.10